Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/ServerService/Reference.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/ServerService/Reference.cs	(revision 4253)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/ServerService/Reference.cs	(revision 4254)
@@ -562,20 +507,20 @@
         private System.Threading.SendOrPostCallback onProcessSnapshotStreamedCompletedDelegate;
         
-        public ClientFacadeClient() {
-        }
-        
-        public ClientFacadeClient(string endpointConfigurationName) : 
+        public SlaveFacadeClient() {
+        }
+        
+        public SlaveFacadeClient(string endpointConfigurationName) : 
                 base(endpointConfigurationName) {
         }
         
-        public ClientFacadeClient(string endpointConfigurationName, string remoteAddress) : 
+        public SlaveFacadeClient(string endpointConfigurationName, string remoteAddress) : 
                 base(endpointConfigurationName, remoteAddress) {
         }
         
-        public ClientFacadeClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
+        public SlaveFacadeClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                 base(endpointConfigurationName, remoteAddress) {
         }
         
-        public ClientFacadeClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
+        public SlaveFacadeClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                 base(binding, remoteAddress) {
         }
@@ -585,5 +530,5 @@
         public event System.EventHandler<ProcessHeartBeatCompletedEventArgs> ProcessHeartBeatCompleted;
         
-        public event System.EventHandler<SendJobCompletedEventArgs> SendJobCompleted;
+        public event System.EventHandler<GetJobCompletedEventArgs> GetJobCompleted;
         
         public event System.EventHandler<StoreFinishedJobResultCompletedEventArgs> StoreFinishedJobResultCompleted;
@@ -659,5 +604,5 @@
         }
         
-        public HeuristicLab.Hive.Contracts.ResponseHB ProcessHeartBeat(HeuristicLab.Hive.Contracts.BusinessObjects.HeartBeatData hbData) {
+        public HeuristicLab.Hive.Contracts.ResponseHeartBeat ProcessHeartBeat(HeuristicLab.Hive.Contracts.BusinessObjects.HeartBeatData hbData) {
             return base.Channel.ProcessHeartBeat(hbData);
         }
@@ -669,5 +614,5 @@
         
         [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-        public HeuristicLab.Hive.Contracts.ResponseHB EndProcessHeartBeat(System.IAsyncResult result) {
+        public HeuristicLab.Hive.Contracts.ResponseHeartBeat EndProcessHeartBeat(System.IAsyncResult result) {
             return base.Channel.EndProcessHeartBeat(result);
         }
@@ -679,5 +624,5 @@
         
         private object[] OnEndProcessHeartBeat(System.IAsyncResult result) {
-            HeuristicLab.Hive.Contracts.ResponseHB retVal = this.EndProcessHeartBeat(result);
+            HeuristicLab.Hive.Contracts.ResponseHeartBeat retVal = this.EndProcessHeartBeat(result);
             return new object[] {
                     retVal};
@@ -709,52 +654,52 @@
         }
         
-        public HeuristicLab.Hive.Contracts.ResponseJob SendJob(System.Guid clientId) {
-            return base.Channel.SendJob(clientId);
-        }
-        
-        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-        public System.IAsyncResult BeginSendJob(System.Guid clientId, System.AsyncCallback callback, object asyncState) {
-            return base.Channel.BeginSendJob(clientId, callback, asyncState);
-        }
-        
-        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-        public HeuristicLab.Hive.Contracts.ResponseJob EndSendJob(System.IAsyncResult result) {
-            return base.Channel.EndSendJob(result);
-        }
-        
-        private System.IAsyncResult OnBeginSendJob(object[] inValues, System.AsyncCallback callback, object asyncState) {
+        public HeuristicLab.Hive.Contracts.ResponseObject<HeuristicLab.Hive.Contracts.BusinessObjects.JobDto> GetJob(System.Guid clientId) {
+            return base.Channel.GetJob(clientId);
+        }
+        
+        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
+        public System.IAsyncResult BeginGetJob(System.Guid clientId, System.AsyncCallback callback, object asyncState) {
+            return base.Channel.BeginGetJob(clientId, callback, asyncState);
+        }
+        
+        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
+        public HeuristicLab.Hive.Contracts.ResponseObject<HeuristicLab.Hive.Contracts.BusinessObjects.JobDto> EndGetJob(System.IAsyncResult result) {
+            return base.Channel.EndGetJob(result);
+        }
+        
+        private System.IAsyncResult OnBeginGetJob(object[] inValues, System.AsyncCallback callback, object asyncState) {
             System.Guid clientId = ((System.Guid)(inValues[0]));
-            return this.BeginSendJob(clientId, callback, asyncState);
-        }
-        
-        private object[] OnEndSendJob(System.IAsyncResult result) {
-            HeuristicLab.Hive.Contracts.ResponseJob retVal = this.EndSendJob(result);
-            return new object[] {
-                    retVal};
-        }
-        
-        private void OnSendJobCompleted(object state) {
-            if ((this.SendJobCompleted != null)) {
-                InvokeAsyncCompletedEventArgs e = ((InvokeAsyncCompletedEventArgs)(state));
-                this.SendJobCompleted(this, new SendJobCompletedEventArgs(e.Results, e.Error, e.Cancelled, e.UserState));
-            }
-        }
-        
-        public void SendJobAsync(System.Guid clientId) {
-            this.SendJobAsync(clientId, null);
-        }
-        
-        public void SendJobAsync(System.Guid clientId, object userState) {
-            if ((this.onBeginSendJobDelegate == null)) {
-                this.onBeginSendJobDelegate = new BeginOperationDelegate(this.OnBeginSendJob);
-            }
-            if ((this.onEndSendJobDelegate == null)) {
-                this.onEndSendJobDelegate = new EndOperationDelegate(this.OnEndSendJob);
-            }
-            if ((this.onSendJobCompletedDelegate == null)) {
-                this.onSendJobCompletedDelegate = new System.Threading.SendOrPostCallback(this.OnSendJobCompleted);
-            }
-            base.InvokeAsync(this.onBeginSendJobDelegate, new object[] {
-                        clientId}, this.onEndSendJobDelegate, this.onSendJobCompletedDelegate, userState);
+            return this.BeginGetJob(clientId, callback, asyncState);
+        }
+        
+        private object[] OnEndGetJob(System.IAsyncResult result) {
+            HeuristicLab.Hive.Contracts.ResponseObject<HeuristicLab.Hive.Contracts.BusinessObjects.JobDto> retVal = this.EndGetJob(result);
+            return new object[] {
+                    retVal};
+        }
+        
+        private void OnGetJobCompleted(object state) {
+            if ((this.GetJobCompleted != null)) {
+                InvokeAsyncCompletedEventArgs e = ((InvokeAsyncCompletedEventArgs)(state));
+                this.GetJobCompleted(this, new GetJobCompletedEventArgs(e.Results, e.Error, e.Cancelled, e.UserState));
+            }
+        }
+        
+        public void GetJobAsync(System.Guid clientId) {
+            this.GetJobAsync(clientId, null);
+        }
+        
+        public void GetJobAsync(System.Guid clientId, object userState) {
+            if ((this.onBeginGetJobDelegate == null)) {
+                this.onBeginGetJobDelegate = new BeginOperationDelegate(this.OnBeginGetJob);
+            }
+            if ((this.onEndGetJobDelegate == null)) {
+                this.onEndGetJobDelegate = new EndOperationDelegate(this.OnEndGetJob);
+            }
+            if ((this.onGetJobCompletedDelegate == null)) {
+                this.onGetJobCompletedDelegate = new System.Threading.SendOrPostCallback(this.OnGetJobCompleted);
+            }
+            base.InvokeAsync(this.onBeginGetJobDelegate, new object[] {
+                        clientId}, this.onEndGetJobDelegate, this.onGetJobCompletedDelegate, userState);
         }
         
@@ -975,5 +920,5 @@
         }
         
-        public HeuristicLab.Hive.Contracts.ResponsePlugin SendPlugins(HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginInfoDto[] pluginList) {
+        public HeuristicLab.Hive.Contracts.ResponseList<HeuristicLab.PluginInfrastructure.CachedHivePluginInfoDto> SendPlugins(HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginInfoDto[] pluginList) {
             return base.Channel.SendPlugins(pluginList);
         }
@@ -985,5 +930,5 @@
         
         [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-        public HeuristicLab.Hive.Contracts.ResponsePlugin EndSendPlugins(System.IAsyncResult result) {
+        public HeuristicLab.Hive.Contracts.ResponseList<HeuristicLab.PluginInfrastructure.CachedHivePluginInfoDto> EndSendPlugins(System.IAsyncResult result) {
             return base.Channel.EndSendPlugins(result);
         }
@@ -995,5 +940,5 @@
         
         private object[] OnEndSendPlugins(System.IAsyncResult result) {
-            HeuristicLab.Hive.Contracts.ResponsePlugin retVal = this.EndSendPlugins(result);
+            HeuristicLab.Hive.Contracts.ResponseList<HeuristicLab.PluginInfrastructure.CachedHivePluginInfoDto> retVal = this.EndSendPlugins(result);
             return new object[] {
                     retVal};
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/ServerService/Reference.svcmap
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/ServerService/Reference.svcmap	(revision 4253)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/ServerService/Reference.svcmap	(revision 4254)
@@ -19,17 +19,17 @@
   </ClientOptions>
   <MetadataSources>
-    <MetadataSource Address="net.tcp://10.42.1.153:9000/HiveServer/mex" Protocol="mex" SourceId="1" />
+    <MetadataSource Address="net.tcp://10.42.1.154:9000/HiveServer/mex" Protocol="mex" SourceId="1" />
   </MetadataSources>
   <Metadata>
-    <MetadataFile FileName="service1.wsdl" MetadataType="Wsdl" ID="03ab6bc6-4c88-4e1f-8d59-3f52f2942db4" SourceId="1" SourceUrl="net.tcp://10.42.1.153:9000/HiveServer/mex" />
-    <MetadataFile FileName="service2.xsd" MetadataType="Schema" ID="51e801d0-81c2-4b13-b430-c177265c3333" SourceId="1" SourceUrl="net.tcp://10.42.1.153:9000/HiveServer/mex" />
-    <MetadataFile FileName="service3.xsd" MetadataType="Schema" ID="e8e86f83-8c65-4364-a203-c7b20d29ac40" SourceId="1" SourceUrl="net.tcp://10.42.1.153:9000/HiveServer/mex" />
-    <MetadataFile FileName="HeuristicLab.Hive.Contracts.BusinessObjects1.xsd" MetadataType="Schema" ID="249326e6-36f3-421b-927e-ca9b7bedfdb5" SourceId="1" SourceUrl="net.tcp://10.42.1.153:9000/HiveServer/mex" />
-    <MetadataFile FileName="HeuristicLab.DataAccess1.xsd" MetadataType="Schema" ID="5e0b464e-8324-4e2e-bbed-da3c79943457" SourceId="1" SourceUrl="net.tcp://10.42.1.153:9000/HiveServer/mex" />
-    <MetadataFile FileName="HeuristicLab.Hive.Contracts1.xsd" MetadataType="Schema" ID="0e2228b1-c9aa-4a6c-99ef-dbdcf6c563d9" SourceId="1" SourceUrl="net.tcp://10.42.1.153:9000/HiveServer/mex" />
-    <MetadataFile FileName="Arrays1.xsd" MetadataType="Schema" ID="0537e276-0286-4f2d-a565-616bf77a9e75" SourceId="1" SourceUrl="net.tcp://10.42.1.153:9000/HiveServer/mex" />
-    <MetadataFile FileName="System1.xsd" MetadataType="Schema" ID="27a70b20-97c3-47b5-a35c-767183544bc7" SourceId="1" SourceUrl="net.tcp://10.42.1.153:9000/HiveServer/mex" />
-    <MetadataFile FileName="HeuristicLab.PluginInfrastructure2.xsd" MetadataType="Schema" ID="af9a77d2-d649-4bb6-bf18-f1b3ba4d594a" SourceId="1" SourceUrl="net.tcp://10.42.1.153:9000/HiveServer/mex" />
-    <MetadataFile FileName="Message1.xsd" MetadataType="Schema" ID="e9066a85-9edd-4f73-a792-4b932bdb9e59" SourceId="1" SourceUrl="net.tcp://10.42.1.153:9000/HiveServer/mex" />
+    <MetadataFile FileName="service1.wsdl" MetadataType="Wsdl" ID="0162f5cd-4ce4-4063-b440-7f660342c1b4" SourceId="1" SourceUrl="net.tcp://10.42.1.154:9000/HiveServer/mex" />
+    <MetadataFile FileName="service2.xsd" MetadataType="Schema" ID="38b7fb46-f017-4fd9-90a3-4dd56030d327" SourceId="1" SourceUrl="net.tcp://10.42.1.154:9000/HiveServer/mex" />
+    <MetadataFile FileName="service3.xsd" MetadataType="Schema" ID="6eda0295-9645-4116-9a1a-12ad7571f78e" SourceId="1" SourceUrl="net.tcp://10.42.1.154:9000/HiveServer/mex" />
+    <MetadataFile FileName="HeuristicLab.Hive.Contracts.BusinessObjects1.xsd" MetadataType="Schema" ID="abb70224-775d-4edc-986c-20eede5dbe04" SourceId="1" SourceUrl="net.tcp://10.42.1.154:9000/HiveServer/mex" />
+    <MetadataFile FileName="HeuristicLab.DataAccess1.xsd" MetadataType="Schema" ID="55cbe34c-d0be-42ef-989a-a97018741832" SourceId="1" SourceUrl="net.tcp://10.42.1.154:9000/HiveServer/mex" />
+    <MetadataFile FileName="HeuristicLab.Hive.Contracts1.xsd" MetadataType="Schema" ID="d4834dd8-d9fe-4ce9-b5e9-dd9fe5451fbe" SourceId="1" SourceUrl="net.tcp://10.42.1.154:9000/HiveServer/mex" />
+    <MetadataFile FileName="Arrays1.xsd" MetadataType="Schema" ID="7f60dd4e-614e-4b85-a4e7-a4caac529103" SourceId="1" SourceUrl="net.tcp://10.42.1.154:9000/HiveServer/mex" />
+    <MetadataFile FileName="System1.xsd" MetadataType="Schema" ID="9bdcdb6f-8162-4554-84af-95dd11d14f5e" SourceId="1" SourceUrl="net.tcp://10.42.1.154:9000/HiveServer/mex" />
+    <MetadataFile FileName="HeuristicLab.PluginInfrastructure2.xsd" MetadataType="Schema" ID="df9afdc0-162d-4bae-93e1-31ab835940f9" SourceId="1" SourceUrl="net.tcp://10.42.1.154:9000/HiveServer/mex" />
+    <MetadataFile FileName="Message1.xsd" MetadataType="Schema" ID="332a2050-4e50-46c6-8b55-0e53a2dfe882" SourceId="1" SourceUrl="net.tcp://10.42.1.154:9000/HiveServer/mex" />
   </Metadata>
   <Extensions>
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/ServerService/configuration91.svcinfo
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/ServerService/configuration91.svcinfo	(revision 4253)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/ServerService/configuration91.svcinfo	(revision 4254)
@@ -1,9 +1,9 @@
 <?xml version="1.0" encoding="utf-8"?>
-<SavedWcfConfigurationInformation xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" Version="9.1" CheckSum="8ELBmhFDdKazse0ChCu2fhV6nYM=">
+<SavedWcfConfigurationInformation xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" Version="9.1" CheckSum="q2x/4cQUEACPUg4K+/rZlk1YeAs=">
   <bindingConfigurations>
-    <bindingConfiguration bindingType="netTcpBinding" name="NetTcpBinding_IClientFacade">
+    <bindingConfiguration bindingType="netTcpBinding" name="NetTcpBinding_ISlaveFacade">
       <properties>
         <property path="/name" isComplexType="false" isExplicitlyDefined="true" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-          <serializedValue>NetTcpBinding_IClientFacade</serializedValue>
+          <serializedValue>NetTcpBinding_ISlaveFacade</serializedValue>
         </property>
         <property path="/closeTimeout" isComplexType="false" isExplicitlyDefined="true" clrType="System.TimeSpan, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
@@ -119,8 +119,8 @@
   </bindingConfigurations>
   <endpoints>
-    <endpoint name="NetTcpBinding_IClientFacade" contract="ServerService.IClientFacade" bindingType="netTcpBinding" address="net.tcp://10.42.1.153:9000/HiveServer/ClientCommunicator" bindingConfiguration="NetTcpBinding_IClientFacade">
+    <endpoint name="NetTcpBinding_ISlaveFacade" contract="ServerService.ISlaveFacade" bindingType="netTcpBinding" address="net.tcp://10.42.1.154:9000/HiveServer/ClientCommunicator" bindingConfiguration="NetTcpBinding_ISlaveFacade">
       <properties>
         <property path="/address" isComplexType="false" isExplicitlyDefined="true" clrType="System.Uri, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-          <serializedValue>net.tcp://10.42.1.153:9000/HiveServer/ClientCommunicator</serializedValue>
+          <serializedValue>net.tcp://10.42.1.154:9000/HiveServer/ClientCommunicator</serializedValue>
         </property>
         <property path="/behaviorConfiguration" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
@@ -131,8 +131,8 @@
         </property>
         <property path="/bindingConfiguration" isComplexType="false" isExplicitlyDefined="true" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-          <serializedValue>NetTcpBinding_IClientFacade</serializedValue>
+          <serializedValue>NetTcpBinding_ISlaveFacade</serializedValue>
         </property>
         <property path="/contract" isComplexType="false" isExplicitlyDefined="true" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-          <serializedValue>ServerService.IClientFacade</serializedValue>
+          <serializedValue>ServerService.ISlaveFacade</serializedValue>
         </property>
         <property path="/headers" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.AddressHeaderCollectionElement, System.ServiceModel, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
@@ -194,5 +194,5 @@
         </property>
         <property path="/name" isComplexType="false" isExplicitlyDefined="true" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-          <serializedValue>NetTcpBinding_IClientFacade</serializedValue>
+          <serializedValue>NetTcpBinding_ISlaveFacade</serializedValue>
         </property>
         <property path="/kind" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
